' *************************************************************************
' *
' *  CAB_MSP.BAS - Programa para obtener informacin de la cabecera del MSP
' *                compatible con MS-DOS y Microsoft Windows.
' *    
' *  Versin:      1.00
' *
' *  Historial:    18-01-92 - Versin 1.00
' *
' *  Compilador:   Microsoft QuickBASIC 4.5
' *
' *  Autor:        Jose Domnguez Alconchel
' *                C/ Puerto Rico 13, B-7
' *                28016 Madrid
' *                Espaa
' *                Tel. (91) 519-83-65
' *
' *  Copyright:    Jos Domnguez Alconchel
' *
' *************************************************************************

'Declaracin de la estructura de la cabecera del formato BMP

TYPE CabeceraMSP
	Clave1 AS INTEGER
	Clave2 AS INTEGER
	Ancho AS INTEGER
	Alto AS INTEGER
	RazonAspectoX AS INTEGER
	RazonAspectoY AS INTEGER
	RazonAspectoImpresoraX AS INTEGER
	RazonAspectoImpresoraY AS INTEGER
	AnchoPaginaImpresoraX AS INTEGER
	AnchoPaginaImpresoraY AS INTEGER
	FactorX AS INTEGER
	FactorY AS INTEGER
	Checksum AS INTEGER
	Reservado1 AS INTEGER
	Reservado2 AS INTEGER
	Reservado3 AS INTEGER
END TYPE

DIM Cabecera AS CabeceraMSP
DIM Byte AS INTEGER

CLS

IF COMMAND$ = "" THEN PRINT "Formato: VER_MSP Nombre_archivo.MSP": PRINT : END

OPEN COMMAND$ FOR BINARY AS #1  'Abre el fichero en formato binario

GET #1, , Cabecera              'Coge la informacin de la cabecera

'Imprime en pantalla toda la informacin del MSP

PRINT
PRINT "Informacin del archivo: "; COMMAND$
PRINT "---------------------------------------------------------------------------"
PRINT "Clave1.........................."; Cabecera.Clave1
PRINT "Clave2.........................."; Cabecera.Clave2
PRINT "Ancho..........................."; Cabecera.Ancho
PRINT "Alto............................"; Cabecera.Alto
PRINT "Razn de aspecto X (pantalla)..."; Cabecera.RazonAspectoX
PRINT "Razn de aspecto Y (pantalla)..."; Cabecera.RazonAspectoY
PRINT "Razn de aspecto X (impresora).."; Cabecera.RazonAspectoImpresoraX
PRINT "Razn de aspecto Y (impresora).."; Cabecera.RazonAspectoImpresoraY
PRINT "Tamao pgina impresora X......."; Cabecera.AnchoPaginaImpresoraX
PRINT "Tamao pgina impresora Y......."; Cabecera.AnchoPaginaImpresoraY
PRINT "Correccin del aspecto X........"; Cabecera.FactorX
PRINT "Correccin del aspecto Y........"; Cabecera.FactorY
PRINT "Checksum........................"; Cabecera.Checksum
PRINT "Reservado1......................"; Cabecera.Reservado1
PRINT "Reservado1......................"; Cabecera.Reservado2
PRINT "Reservado1......................"; Cabecera.Reservado3

CLOSE #1

DO WHILE INKEY$ = "": LOOP

BEEP

CLS

END

